#ifndef _DATA_TYPE_H_
#define _DATA_TYPE_H_

/*
   *
   * data_type.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


void data_type_error(void) __attribute__ ((noreturn));


/* Default see RX or TX data in KBytes */
char default_data_type[3] = KBYTES; 
char *data_type = default_data_type; 



void data_type_error(void)
{
	printf ("Data type which you want is not correct. "
		"Correct data type is: "_COLOR_WHITE_"MB"_COLOR_END_", "
		_COLOR_WHITE_"KB"_COLOR_END_", "_COLOR_WHITE_"B"_COLOR_END_".\n");

#ifndef _BCLIENT_H_
	exit_prog(EXIT_FALSE);
#else
	exit(EXIT_FALSE);
#endif
}


void check_data_type(void)
{
	if (strcmp (data_type, BYTES) && 
	    strcmp (data_type, KBYTES) && 
	    strcmp (data_type, MBYTES))
		data_type_error();
}




/* NIN */

#endif /* _DATA_TYPE_H_ */

