#ifndef _GET_REQUEST_H_
#define _GET_REQUEST_H_

/*
   *
   * get_request.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



int get_additional_request (char *buffer, char request[])
{
	int m = 0, n = 0;
	char *get; 
	char temp_request[150];
    
	get = strstr (buffer, request);
	if (get == NULL)
	    return(EXIT_FALSE);

	m = strlen(request) + 2;

	while (get[m] != '\r' && get[m + 1] != '\n')
	    {
		temp_request[n] = get[m];
		n++;
		m++;
	    }
	
	temp_request[n] = '\0';

#ifdef _BSERVER_H_
	if (!strcmp (request, USER_AGENT))
	    strcpy(user_agent, temp_request);
	else if (!strcmp (request, DATA_TYPE))
	    strcpy(data_type, temp_request);
	else if (!strcmp (request, MESSAGE))
	    strcpy(cmessage, temp_request);
#endif
#ifdef _BCLIENT_H_
	if (!strcmp (request, SERVER_NAME))
	    strcpy(server_name, temp_request);
	else if (!strcmp (request, SERVER_VERSION))
	    strcpy(server_version, temp_request);
	else if (!strcmp (request, CONTENT_LENGTH))
	    content_length = atoi(temp_request);
	else if (!strcmp (request, MESSAGE))
	    strcpy(server_message, temp_request);
	else if (!strcmp (request, INTERFACE_IP))
	    strcpy(server_interface_ip, temp_request);
	else if (!strcmp (request, BYTES_TX))
	    strcpy(server_bytes_tx, temp_request);
	else if (!strcmp (request, PACKETS_TX))
	    strcpy(server_packets_tx, temp_request);
	else if (!strcmp (request, ERRORS_TX))
	    strcpy(server_errs_tx, temp_request);
	else if (!strcmp (request, BYTES_RX))
	    strcpy(server_bytes_rx, temp_request);
	else if (!strcmp (request, PACKETS_RX))
	    strcpy(server_packets_rx, temp_request);
	else if (!strcmp (request, ERRORS_RX))
	    strcpy(server_errs_rx, temp_request);
#endif
	return(EXIT_SUCCESS);
}


/* NIN */

#endif /* _GET_REQUEST_H_ */

