#ifndef _XMALLOC_H_
#define _XMALLOC_H_

/*
   *
   * xmalloc.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



void* xmalloc(size_t size)
{
	void* pointer = malloc(size);

	if (pointer == NULL)
	    {

#ifndef _BSERVER_H_

		if (curses_flag == TRUE)
		    close_ncurses_screen();
#endif
		printf ("\n\033[1;30m>\033[0m>\033[1;37m>\033[0m Out of memory "
			"\033[1;37m<\033[0m<\033[1;30m<\033[0m\n");

		printf("Program %s exiting with Out of memory:\n\n", 
			exec_name);

		printf("Last called function: "_STRING_RED_"\n\n", 
			running_function);

		syslog (LOG_ERR, ">>> Out of memory <<< "
			"Please check your RAM :-)");
		
		closelog();

		exit_prog(EXIT_FALSE);
	    }
	else
	    return pointer;
}



/* NIN */

#endif /* _XMALLOC_H_ */

