#ifndef _BCNT_HEADERS_H_
#define _BCNT_HEADERS_H_

/*
   *
   * bcnt_headers.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



static char* bcnt_ok_header =
	"%s %s "STRING_OK CRLF
	SERVER": %s"CRLF
	SERVER_NAME": %s"CRLF
	SERVER_VERSION": %s"CRLF
	INTERFACE_IP": %s"CRLF
	CONTENT_TYPE": text/plain"CRLF
	CONTENT_LENGTH": %d"CRLF
	PRAGMA": no-cache"CRLF
	END_BCNT_HEADER CRLF;


static char* bcnt_not_found_header =
	"%s %s Not_Found"CRLF
	SERVER": %s"CRLF
	SERVER_NAME": %s"CRLF
	SERVER_VERSION": %s"CRLF
	CONTENT_TYPE": text/plain"CRLF
	PRAGMA": no-cache"CRLF
	END_BCNT_HEADER CRLF;


static char* bcnt_bad_method_header =
	"%s %s Method_Not_Imlemented"CRLF
	SERVER": %s"CRLF
	SERVER_NAME": %s"CRLF
	SERVER_VERSION": %s"CRLF
	CONTENT_TYPE": text/plain"CRLF
	PRAGMA": no-cache"CRLF
	END_BCNT_HEADER CRLF;


static char* bcnt_interface_not_found_header =
	"%s %s Interface_Not_Found"CRLF
	SERVER": %s"CRLF
	SERVER_NAME": %s"CRLF
	SERVER_VERSION": %s"CRLF
	CONTENT_TYPE": text/plain"CRLF
	PRAGMA": no-cache"CRLF
	END_BCNT_HEADER CRLF;


/* NIN */

#endif /* _BCNT_HEADERS_H_ */

